import 'package:flutter/material.dart';

import '../../../../utils/resource_manager/color_manager.dart';
import '../../domain/booking_model.dart';

class BookingCardWidget extends StatelessWidget {
  const BookingCardWidget({
    super.key,
    required this.bookingModel,
  });

  final BookingModel bookingModel;

  @override
  Widget build(BuildContext context) {
    return Container(
      padding: EdgeInsets.all(15),
      decoration: BoxDecoration(
        borderRadius: BorderRadius.all(Radius.circular(20)),
        color: ColorsManager.onPrimaryColor,
      ),
      child: Column(
        crossAxisAlignment: CrossAxisAlignment.start,
        children: [
          Text(
            bookingModel.roomName,
            style: TextStyle(
              color: ColorsManager.blackColor,
              fontSize: 17,
              fontWeight: FontWeight.bold,
            ),
          ),
          SizedBox(
            height: 15,
          ),
          Text(
            'Booking Date',
            style: TextStyle(
              color: ColorsManager.grayColor,
              fontSize: 15,
            ),
          ),
          Text(
            bookingModel.date,
            style: TextStyle(
              color: ColorsManager.blackColor,
              fontSize: 15,
              fontWeight: FontWeight.w500,
            ),
          ),
          SizedBox(
            height: 15,
          ),
          Row(
            mainAxisAlignment: MainAxisAlignment.start,
            children: [
              Column(
                crossAxisAlignment: CrossAxisAlignment.start,
                children: [
                  Text(
                    'Time slot',
                    style: TextStyle(
                      color: ColorsManager.grayColor,
                      fontSize: 15,
                    ),
                  ),
                  Text(
                    bookingModel.timeSlot,
                    style: TextStyle(
                      color: ColorsManager.blackColor,
                      fontSize: 15,
                      fontWeight: FontWeight.w500,
                    ),
                  ),
                ],
              ),
              SizedBox(
                width: 80,
              ),
              Column(
                children: [
                  Text(
                    'cost',
                    style: TextStyle(
                      color: ColorsManager.grayColor,
                      fontSize: 15,
                    ),
                  ),
                  Text(
                    bookingModel.cost.toString(),
                    style: TextStyle(
                      color: ColorsManager.blackColor,
                      fontSize: 15,
                      fontWeight: FontWeight.w500,
                    ),
                  ),
                ],
              ),
            ],
          )
        ],
      ),
    );
  }
}
